#include <bits/stdc++.h>
using namespace std;
int main() {
  unsigned long long int t,n,k,s=0,m,brojugrupi,brojugrupi2;
  cin>>t;
  for(int i=0;i<t;i++){
    cin>>n;
	cin>>m;
	cin>>k;
    brojugrupi=n/k;
    brojugrupi2=n%k;
    s=(brojugrupi+1)*(n/brojugrupi)*brojugrupi/2+(brojugrupi2+1)*brojugrupi2/2;
    if(s<=m)
      cout<<"Tak"<<endl;
    
    else
      cout<<"Nie"<<endl;
	  }
    return 0;
  }